Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
curve_gfp.cpp File Reference
`#include <botan/curve_gfp.h>`
`#include <botan/curve_nistp.h>`
`#include <botan/numthry.h>`
`#include <botan/reducer.h>`
`#include <botan/internal/mp_core.h>`
`#include <botan/internal/mp_asmi.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Variable Documentation

BigInt m_1

Definition at line 231 of file curve_gfp.cpp.

BigInt m_a

Definition at line 82 of file curve_gfp.cpp.

bool m_a_is_minus_3

Definition at line 91 of file curve_gfp.cpp.

bool m_a_is_zero

Definition at line 90 of file curve_gfp.cpp.

BigInt m_a_r

Definition at line 83 of file curve_gfp.cpp.

BigInt m_b

Definition at line 82 of file curve_gfp.cpp.

BigInt m_b_r

Definition at line 83 of file curve_gfp.cpp.

BigInt m_p

Definition at line 81 of file curve_gfp.cpp.

word m_p_dash

Definition at line 88 of file curve_gfp.cpp.

Referenced by Botan::Montgomery_Params::p_dash().

size_t m_p_words

Definition at line 84 of file curve_gfp.cpp.

Referenced by Botan::Montgomery_Params::p_words().

BigInt m_r

Definition at line 87 of file curve_gfp.cpp.

Referenced by Botan::Scrypt::r().

BigInt m_r2

Definition at line 87 of file curve_gfp.cpp.

Referenced by Botan::Montgomery_Params::R2().

BigInt m_r3

Definition at line 87 of file curve_gfp.cpp.

Referenced by Botan::Montgomery_Params::R3().